ATOLL(3)

NAME
atoll, atoll_l - convert ASCII string to long long integer

SYNOPSIS
#include <stdlib.h>
long long
atoll(const char *nptr);
#include <xlocale.h>
long long
atoll_l(const char *nptr, locale_t loc);

DESCRIPTION
The atoll() and atoll_l() functions convert the initial portion of the string pointed to by nptr to long long integer representation. The atoll() function uses the current locale, while atoll_l() uses the locale provided as second argument.

It is equivalent to:

    strtoll(nptr, (char **)NULL, 10);

SEE ALSO
atof(3), atoi(3), atol(3), strtod(3), strtol(3), strtoul(3) xlocale(3)

STANDARDS
The atoll() function conforms to ansiC-99. The atoll_l() function is a Darwin extension.